#include <stdio.h>

void problem_1(int a, int b, int x, int y) 
{
   char d = 'a', g = 'a';
   if (a < b)
      d = 'e';
      if (x > y)
         g = 'h';
      else 
         d = 'f';
   printf("Problem 3: %c %c\n", d, g);
}

void problem_2(int a, int b, int x, int y)
{
   char d = 'a', g = 'a';
   if (a < b)
      d = 'e';
      if (x > y)
         g = 'h';
   else
      d = 'f';
   printf("Problem 3: %c %c\n", d, g);
}

void problem_3(int a, int b, int x, int y)
{
   char d = 'a', g = 'a';
   if (a < b)
   {
      d = 'e';
   if (x > y)
      g = 'h';
   }
      else
         d = 'f';
   printf("Problem 3: %c %c\n", d, g);
}

int main()
{
   problem_1(1, 2, 3, 4);
   problem_2(1, 2, 3, 4);
   problem_3(1, 2, 3, 4);

   return 0;
}
